## ceph 10.2.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

project(Ceph)
set(VERSION 10.2.8)

if (NOT (CMAKE_MAJOR_VERSION LESS 3))
  # Tweak policies (this one disables "missing" dependency warning)
  cmake_policy(SET CMP0046 OLD)
endif(NOT (CMAKE_MAJOR_VERSION LESS 3))
# we use LINK_PRIVATE keyword instead of PRIVATE, but do not specify the LINK_PUBLIC
# for target_link_libraries() command when PUBLIC should be used instead, it's just
# for backward compatibility with cmake 2.8.11.
if (POLICY CMP0022)
cmake_policy(SET CMP0022 OLD)
endif (POLICY CMP0022)
if (POLICY CMP0023)
cmake_policy(SET CMP0023 OLD)
endif (POLICY CMP0023)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules/")

option(WITH_CCACHE "Build with ccache.")
if(WITH_CCACHE)
  find_program(CCACHE_FOUND ccache)
  if(CCACHE_FOUND)
    message(STATUS "Building with ccache: ${CCACHE_FOUND}, CCACHE_DIR=$ENV{CCACHE_DIR}")
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
    # ccache does not accelerate link (ld), but let it handle it. by passing it
    # along with cc to python's distutils, we are able to workaround
    # https://bugs.python.org/issue8027.
    set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
  else(CCACHE_FOUND)
    message(FATAL_ERROR "Can't find ccache. Is it installed?")
  endif(CCACHE_FOUND)
endif(WITH_CCACHE)

include_directories(
  ${PROJECT_BINARY_DIR}/src/include
  ${OFED_PREFIX}/include
  ${LEVELDB_PREFIX}/include
  ${PROJECT_SOURCE_DIR}/src
)

link_directories(
  ${OFED_PREFIX}/lib
  ${LEVELDB_PREFIX}/lib
)

#put all the libs and binaries in one place
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

#Check Includes
include(CheckIncludeFiles)
include(CheckIncludeFileCXX)
include(CheckFunctionExists)

#put all the libs and binaries in one place
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/lib)
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin)

CHECK_FUNCTION_EXISTS(fallocate CEPH_HAVE_FALLOCATE)
CHECK_FUNCTION_EXISTS(posix_fadvise HAVE_POSIX_FADVISE)
CHECK_FUNCTION_EXISTS(posix_fallocate HAVE_POSIX_FALLOCATE)
CHECK_FUNCTION_EXISTS(syncfs HAVE_SYS_SYNCFS)
CHECK_FUNCTION_EXISTS(sync_file_range HAVE_SYNC_FILE_RANGE)
CHECK_FUNCTION_EXISTS(mallinfo HAVE_MALLINFO)
CHECK_FUNCTION_EXISTS(pwritev HAVE_PWRITEV)
CHECK_INCLUDE_FILES("arpa/inet.h" HAVE_ARPA_INET_H)
CHECK_INCLUDE_FILES("boost/random/discrete_distribution.hpp" HAVE_BOOST_RANDOM_DISCRETE_DISTRIBUTION)
CHECK_INCLUDE_FILE_CXX("boost/asio/coroutine.hpp" HAVE_BOOST_ASIO_COROUTINE)
CHECK_INCLUDE_FILES("dirent.h" HAVE_DIRENT_H)
CHECK_INCLUDE_FILES("dlfcn.h" HAVE_DLFCN_H)
CHECK_INCLUDE_FILES("inttypes.h" HAVE_INTTYPES_H)
CHECK_INCLUDE_FILES("linux/types.h" HAVE_LINUX_TYPES_H)
CHECK_INCLUDE_FILES("memory.h" HAVE_MEMORY_H)
CHECK_INCLUDE_FILES("ndir.h" HAVE_NDIR_H)
CHECK_INCLUDE_FILES("netdb.h" HAVE_NETDB_H)
CHECK_INCLUDE_FILES("netinet/in.h" HAVE_NETINET_IN_H)
CHECK_INCLUDE_FILES("stdint.h" HAVE_STDINT_H)
CHECK_INCLUDE_FILES("stdlib.h" HAVE_STDLIB_H)
CHECK_INCLUDE_FILES("arpa/inet.h" HAVE_ARPA_INET_H)
CHECK_INCLUDE_FILES("strings.h" HAVE_STRINGS_H)
CHECK_INCLUDE_FILES("string.h" HAVE_STRING_H)
CHECK_INCLUDE_FILES("syslog.h" HAVE_SYSLOG_H)
CHECK_INCLUDE_FILES("sys/dir.h" HAVE_SYS_DIR_H)
CHECK_INCLUDE_FILES("sys/file.h" HAVE_SYS_FILE_H)
CHECK_INCLUDE_FILES("sys/ioctl.h" HAVE_SYS_IOCTL_H)
CHECK_INCLUDE_FILES("sys/mount.h" HAVE_SYS_MOUNT_H)
CHECK_INCLUDE_FILES("sys/ndir.h" HAVE_SYS_NDIR_H)
CHECK_INCLUDE_FILES("sys/param.h" HAVE_SYS_PARAM_H)
CHECK_INCLUDE_FILES("sys/socket.h" HAVE_SYS_SOCKET_H)
CHECK_INCLUDE_FILES("sys/statvfs.h" HAVE_SYS_STATVFS_H)
CHECK_INCLUDE_FILES("sys/stat.h" HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILES("sys/time.h" HAVE_SYS_TIME_H)
CHECK_INCLUDE_FILES("sys/types.h" HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILES("sys/vfs.h" HAVE_SYS_VFS_H)
CHECK_INCLUDE_FILES("sys/wait.h" HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILES("sys/xattr.h" HAVE_SYS_XATTR_H)
CHECK_INCLUDE_FILES("unistd.h" HAVE_UNISTD_H)
CHECK_INCLUDE_FILES("utime.h" HAVE_UTIME_H)
CHECK_INCLUDE_FILES("${CMAKE_SOURCE_DIR}/src/include/fiemap.h" HAVE_FIEMAP_H)
CHECK_INCLUDE_FILES("fuse/fuse_lowlevel.h" HAVE_FUSE_LOWLEVEL_H)
CHECK_INCLUDE_FILES("fuse/fuse.h" HAVE_FUSE_H)
CHECK_INCLUDE_FILES("fcgi_config.h"  HAVE_FASTCGI_CONFIG_H)
CHECK_INCLUDE_FILES("fastcgi.h" HAVE_FASTCGI_H)
CHECK_INCLUDE_FILES("fcgiapp.h" FASTCGI_FASTCGI_APP_DIR)
CHECK_INCLUDE_FILES("fcgimisc.h" HAVE_FASTCGI_MISC_H)
CHECK_INCLUDE_FILES("fcgio.h" HAVE_FASTCGIO_H)
CHECK_INCLUDE_FILES("fcgios.h" FASTCGI_FASTCGIOS_DIR)
CHECK_INCLUDE_FILES("fcgi_stdio.h" HAVE_FASTCGI_STDIO_H)
CHECK_INCLUDE_FILES("keyutils.h" HAVE_KEYUTILS_H)
CHECK_INCLUDE_FILES("execinfo.h" HAVE_EXECINFO_H)

include(CheckSymbolExists)
CHECK_SYMBOL_EXISTS(__u8 "sys/types.h;linux/types.h" HAVE___U8)
CHECK_SYMBOL_EXISTS(__u64 "sys/types.h;linux/types.h" HAVE___U64)
CHECK_SYMBOL_EXISTS(__s64 "sys/types.h;linux/types.h" HAVE___S64)

CHECK_SYMBOL_EXISTS(res_nquery "resolv.h" HAVE_RES_NQUERY)

include(CheckCXXSourceCompiles)
CHECK_CXX_SOURCE_COMPILES("
  #include <string.h>
  int main() { char x = *strerror_r(0, &x, sizeof(x)); return 0; }
  " STRERROR_R_CHAR_P)

set(CEPH_MAN_DIR "share/man" CACHE STRING "Install location for man pages (relative to prefix).")

option(ENABLE_SHARED "build shared libraries" ON)
if(${ENABLE_SHARED})
 set(CEPH_SHARED SHARED)
else(${ENABLE_SHARED})
 set(CEPH_SHARED STATIC)
endif(${ENABLE_SHARED})

find_package(execinfo)

find_package(udev REQUIRED)
set(HAVE_UDEV ${UDEV_FOUND})

option(WITH_AIO "AIO is here ON" ON)
if(${WITH_AIO})
find_package(aio REQUIRED)
set(HAVE_LIBAIO ${AIO_FOUND})
message(STATUS "${AIO_LIBS}")
endif(${WITH_AIO})

option(WITH_OPENLDAP "OPENLDAP is here" ON)
if(${WITH_OPENLDAP})
find_package(OpenLdap REQUIRED)
set(HAVE_OPENLDAP ${OPENLDAP_FOUND})
message(STATUS "${OPENLDAP_LIBS}")
endif(${WITH_OPENLDAP})

option(WITH_OPENSSL "OPENSSL is here" ON)
if(${WITH_OPENSSL})
find_package(OpenSSL REQUIRED)
set(USE_OPENSSL ON)
#message(STATUS "${OPENSSL_LIBRARIES}")
else(${WITH_OPENSSL})
set(USE_OPENSSL OFF)
set(OPENSSL_LIBRARIES)
endif(${WITH_OPENSSL})

option(WITH_FUSE "Fuse is here" ON)
if(${WITH_FUSE})
find_package(fuse)
set(HAVE_LIBFUSE ${FUSE_FOUND})
CHECK_FUNCTION_EXISTS(fuse_getgroups HAVE_FUSE_GETGROUPS)
endif(${WITH_FUSE})

option(WITH_XFS "XFS is here" ON)
if(${WITH_XFS})
find_package(xfs)
set(HAVE_XFS ${XFS_FOUND})
endif(${WITH_XFS})

option(WITH_SPDK "Enable SPDK" OFF)
if(WITH_SPDK)
  find_package(pciaccess REQUIRED)
  find_package(dpdk REQUIRED)
  set(HAVE_SPDK TRUE)
endif(WITH_SPDK)

find_package(blkid REQUIRED)
set(HAVE_LIBBLKID ${BLKID_FOUND})

# probably fuse etc need this -- how to check? XXX
option(WITH_MDS "MDS is here" ON)

# needs mds and? XXX
option(WITH_CLIENT "Client is here" ON)
option(WITH_LIBCEPHFS "libcephfs client library" ON)

# key-value store
option(WITH_KVS "Key value store is here" ON)

# remote block storage
option(WITH_RBD "Remote block storage is here" ON)

option(WITH_LEVELDB "LevelDB is here" ON)
if(${WITH_LEVELDB})
find_package(leveldb REQUIRED)
set(HAVE_LIBLEVELDB ${LEVELDB_FOUND})
find_file(HAVE_LEVELDB_FILTER_POLICY filter_policy.h PATHS /usr/include/leveldb)
endif(${WITH_LEVELDB})

option(WITH_EXPAT "EXPAT is here" ON)
if(${WITH_EXPAT})
find_package(expat REQUIRED)
set(HAVE_EXPAT ${EXPAT_FOUND})
endif(${WITH_EXPAT})

find_package(Cython REQUIRED)
find_package(fcgi REQUIRED)

find_package(atomic_ops REQUIRED)
set(HAVE_ATOMIC_OPS ${ATOMIC_OPS_FOUND})
message(STATUS "${ATOMIC_OPS_LIBRARIES}")

option(WITH_GPERFTOOLS "gperftools is here" ON)
if(${WITH_GPERFTOOLS})
	find_package(gperftools)
	set(HAVE_GPERFTOOLS ${GPERFTOOLS_FOUND})
	if(${HAVE_GPERFTOOLS})
		find_file(HAVE_GPERFTOOLS_HEAP_PROFILER_H heap-profiler.h PATHS /usr/include/gperftools)
		find_file(HAVE_GPERFTOOLS_MALLOC_EXTENSION_H malloc_extension.h PATHS /usr/include/gperftools)
		find_file(HAVE_GPERFTOOLS_PROFILER_H profiler.h PATHS /usr/include/gperftools)
	endif(${HAVE_GPERFTOOLS})
endif(${WITH_GPERFTOOLS})

find_package(snappy REQUIRED)

#if allocator is set on command line make sure it matches below strings
if(ALLOCATOR)
  if(${ALLOCATOR} STREQUAL "tcmalloc")
    find_package(tcmalloc REQUIRED)
    set(HAVE_LIBTCMALLOC ${Tcmalloc_FOUND})
  elseif(${ALLOCATOR} STREQUAL "jemalloc")
    find_package(JeMalloc REQUIRED)
  endif()
else(ALLOCATOR)
  find_package(tcmalloc)
  set(HAVE_LIBTCMALLOC ${Tcmalloc_FOUND})
  find_package(JeMalloc)
  if(NOT Tcmalloc_FOUND AND NOT JEMALLOC_FOUND)
    message(WARNING "tcmalloc and jemalloc not found, falling back to libc")
    set(ALLOCATOR "libc")
  endif(NOT Tcmalloc_FOUND AND NOT JEMALLOC_FOUND)
endif(ALLOCATOR)

find_package(keyutils REQUIRED)

find_package(libuuid REQUIRED)

find_package(libcurl REQUIRED)

option(USE_CRYPTOPP "Cryptopp is ON" ON)
find_package(cryptopp)
if(CRYPTOPP_FOUND)
        MESSAGE(STATUS "${CRYPTOPP_LIBRARIES}")
        set(CRYPTO_LIBS ${CRYPTOPP_LIBRARIES})
	set(USE_NSS 0)
else()
        MESSAGE(STATUS "Cryptopp not found using NSS instead")
	find_package(NSS REQUIRED)
        if(NSS_FOUND)
		set(USE_NSS 1)
		set(USE_CRYPTOPP 0)
		find_package(NSPR)
		if(NSPR_FOUND)
			set(CRYPTO_LIBS ${NSS_LIBRARIES} ${NSPR_LIBRARIES})
			#MESSAGE(STATUS "${CRYPTO_LIBS}")
			#MESSAGE(STATUS "${NSS_INCLUDE_DIR} ${NSPR_INCLUDE_DIR}")
		endif(NSPR_FOUND)
	endif(NSS_FOUND)
endif(CRYPTOPP_FOUND)

option(WITH_XIO "Enable XIO messaging" OFF)
if(WITH_XIO)
  find_package(xio REQUIRED)
set(HAVE_XIO ${Xio_FOUND})
endif(WITH_XIO)

#option for RGW
option(WITH_RADOSGW "Rados Gateway is enabled" ON)

if (WITH_RADOSGW)
  if (NOT DEFINED OPENSSL_FOUND)
    message(STATUS "Looking for openssl anyways, because radosgw selected")
    find_package(OpenSSL)
  endif()
  if (OPENSSL_FOUND)
    execute_process(
      COMMAND
	"sh" "-c"
	"objdump -p ${OPENSSL_SSL_LIBRARY} | sed -n 's/^  SONAME  *//p'"
      OUTPUT_VARIABLE LIBSSL_SONAME
      ERROR_VARIABLE OBJDUMP_ERRORS
      RESULT_VARIABLE OBJDUMP_RESULTS
      OUTPUT_STRIP_TRAILING_WHITESPACE)
    if (OBJDUMP_RESULTS)
      message(FATAL_ERROR "can't run objdump: ${OBJDUMP_RESULTS}")
    endif()
    if (NOT OBJDUMP_ERRORS STREQUAL "")
      message(WARNING "message from objdump: ${OBJDUMP_ERRORS}")
    endif()
    execute_process(
      COMMAND
	"sh" "-c"
	"objdump -p ${OPENSSL_CRYPTO_LIBRARY} | sed -n 's/^  SONAME  *//p'"
      OUTPUT_VARIABLE LIBCRYPTO_SONAME
      ERROR_VARIABLE OBJDUMP_ERRORS
      RESULT_VARIABLE OBJDUMP_RESULTS
      OUTPUT_STRIP_TRAILING_WHITESPACE)
    if (OBJDUMP_RESULTS)
      message(FATAL_ERROR "can't run objdump: ${OBJDUMP_RESULTS}")
    endif()
    if (NOT OBJDUMP_ERRORS STREQUAL "")
      message(WARNING "message from objdump: ${OBJDUMP_ERRORS}")
    endif()
    message(STATUS "ssl soname: ${LIBSSL_SONAME}")
    message(STATUS "crypto soname: ${LIBCRYPTO_SONAME}")
  else()
    message(WARNING "ssl not found: rgw civetweb may fail to dlopen libssl libcrypto")
  endif()
endif (WITH_RADOSGW)

#option for CephFS
option(WITH_CEPHFS "CephFS is enabled" ON)

option(WITH_THREAD_SAFE_RES_QUERY "res_query is thread safe" OFF)
if(WITH_THREAD_SAFE_RES_QUERY)
    set(HAVE_THREAD_SAFE_RES_QUERY 1 CACHE INTERNAL "Thread safe res_query supported.")
endif(WITH_THREAD_SAFE_RES_QUERY)

option(WITH_REENTRANT_STRSIGNAL "strsignal is reentrant" OFF)
if(WITH_REENTRANT_STRSIGNAL)
    set(HAVE_REENTRANT_STRSIGNAL 1 CACHE INTERNAL "Reentrant strsignal is supported.")
endif(WITH_REENTRANT_STRSIGNAL)

set(HAVE_LIBROCKSDB 1)

# -lz link into kv
find_package(ZLIB REQUIRED)

#option for LTTng
#currently off by default because lttng-gen-tp run unconditionally and forces a rebuild
option(WITH_LTTNG "LTTng tracing is enabled" OFF)
if(${WITH_LTTNG})
  find_package(lttng-ust)
  set(WITH_LTTNG ${LTTNG_FOUND})
endif(${WITH_LTTNG})

#option for Babeltrace
option(HAVE_BABELTRACE "Babeltrace libraries are enabled" ON)

=== doc/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# doc/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/ceph
pkgincludedir = $(includedir)/ceph
pkglibdir = $(libdir)/ceph
pkglibexecdir = $(libexecdir)/ceph
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = x86_64-pc-linux-gnu
subdir = doc
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ac_check_classpath.m4 \
	$(top_srcdir)/m4/ac_prog_jar.m4 \
	$(top_srcdir)/m4/ac_prog_javac.m4 \
	$(top_srcdir)/m4/ac_prog_javac_works.m4 \
	$(top_srcdir)/m4/ac_prog_javah.m4 \
	$(top_srcdir)/m4/acx_pthread.m4 $(top_srcdir)/m4/ax_arm.m4 \
	$(top_srcdir)/m4/ax_c_pretty_func.m4 \
	$(top_srcdir)/m4/ax_c_var_func.m4 \
	$(top_srcdir)/m4/ax_check_compile_flag.m4 \
	$(top_srcdir)/m4/ax_check_openssl.m4 \
	$(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
	$(top_srcdir)/m4/ax_cxx_static_cast.m4 \
	$(top_srcdir)/m4/ax_intel.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/pkg.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/acconfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jenkins-build/build/workspace/ceph-setup/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_CXXFLAGS =  -I/usr/include/nss -I/usr/include/nspr 
AM_DEFAULT_VERBOSITY = 0
AR = ar
ARM_FLAGS = 
ARM_NEON_FLAGS = 
AUTOCONF = ${SHELL} /home/jenkins-build/build/workspace/ceph-setup/missing autoconf
AUTOHEADER = ${SHELL} /home/jenkins-build/build/workspace/ceph-setup/missing autoheader
AUTOMAKE = ${SHELL} /home/jenkins-build/build/workspace/ceph-setup/missing automake-1.15
AWK = gawk
BOOST_PROGRAM_OPTIONS_LIBS = -lboost_program_options 
BOOST_RANDOM_LIBS = -lboost_random 
BOOST_REGEX_LIBS = -lboost_regex 
BOOST_THREAD_LIBS = -lboost_thread 
CC = gcc
CCAS = gcc
CCASDEPMODE = depmode=gcc3
CCASFLAGS =  -Wno-unused-parameter
CCDEPMODE = depmode=gcc3
CFLAGS = -D_LARGEFILE64_SOURCE  -Wno-unused-parameter
CPP = gcc -E
CPPFLAGS = 
CRYPTOPP_CFLAGS = 
CRYPTOPP_LIBS = 
CRYPTO_CFLAGS = -I/usr/include/nss -I/usr/include/nspr
CRYPTO_LIBS = -lnss3 -lnssutil3 -lsmime3 -lssl3 -lplds4 -lplc4 -lnspr4
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS =   -Wno-unused-parameter -std=gnu++11
CYGPATH_W = echo
CYTHON_CHECK = yes
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
EXTRA_CLASSPATH_JAR = 
FGREP = /bin/grep -F
GCOV_PREFIX_STRIP = 6
GIT_CHECK = yes
GREP = /bin/grep
HAVE_CXX11 = 1
HAVE_VALGRIND = yes
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTEL_FLAGS =  -msse -DINTEL_SSE -msse2 -DINTEL_SSE2 -msse3 -DINTEL_SSE3 -mssse3 -DINTEL_SSSE3 -mpclmul -DINTEL_SSE4_PCLMUL -msse4.1 -DINTEL_SSE4 -msse4.2 -DINTEL_SSE4
INTEL_PCLMUL_FLAGS = -mpclmul -DINTEL_SSE4_PCLMUL
INTEL_SSE2_FLAGS = -msse2 -DINTEL_SSE2
INTEL_SSE3_FLAGS = -msse3 -DINTEL_SSE3
INTEL_SSE4_1_FLAGS = -msse4.1 -DINTEL_SSE4
INTEL_SSE4_2_FLAGS = -msse4.2 -DINTEL_SSE4
INTEL_SSE_FLAGS = -msse -DINTEL_SSE
INTEL_SSSE3_FLAGS = -mssse3 -DINTEL_SSSE3
JAR = 
JAVAC = 
JAVAH = 
JDK_CPPFLAGS = 
KEYUTILS_LIB = -lkeyutils
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBDPDK_CFLAGS = 
LIBDPDK_LIBS = 
LIBFUSE_CFLAGS = -D_FILE_OFFSET_BITS=64 -I/usr/include/fuse
LIBFUSE_LIBS = -lfuse -pthread
LIBJEMALLOC = 
LIBOBJS = 
LIBPCIACCESS_CFLAGS = 
LIBPCIACCESS_LIBS = 
LIBROCKSDB_CFLAGS = 
LIBROCKSDB_LIBS = 
LIBS = -lboost_iostreams -lboost_system 
LIBTCMALLOC = -ltcmalloc
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBZFS_CFLAGS = 
LIBZFS_LIBS = 
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LTTNG_GEN_TP_CHECK = 
LTTNG_GEN_TP_PROG = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /home/jenkins-build/build/workspace/ceph-setup/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
NSS_CFLAGS = -I/usr/include/nss -I/usr/include/nspr
NSS_LIBS = -lnss3 -lnssutil3 -lsmime3 -lssl3 -lplds4 -lplc4 -lnspr4
OBJDUMP = objdump
OBJEXT = o
OPENSSL_INCLUDES = 
OPENSSL_LDFLAGS = 
OPENSSL_LIBS = -lssl -lcrypto
OTOOL = 
OTOOL64 = 
PACKAGE = ceph
PACKAGE_BUGREPORT = ceph-devel@vger.kernel.org
PACKAGE_NAME = ceph
PACKAGE_STRING = ceph 10.2.8
PACKAGE_TARNAME = ceph
PACKAGE_URL = 
PACKAGE_VERSION = 10.2.8
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS =  -lpthread
PYTHON = /usr/bin/python
PYTHON_CFLAGS = -I/usr/include/python2.7 -I/usr/include/x86_64-linux-gnu/python2.7  -fno-strict-aliasing -Wdate-time -D_FORTIFY_SOURCE=2 -g -fstack-protector-strong -Wformat -Werror=format-security  -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes
PYTHON_CONFIG_CHECK = yes
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_LDFLAGS = -L/usr/lib/python2.7/config-x86_64-linux-gnu -L/usr/lib -lpython2.7 -lpthread -ldl  -lutil -lm  -Xlinker -export-dynamic -Wl,-O1 -Wl,-Bsymbolic-functions
PYTHON_PLATFORM = linux2
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.7
RANLIB = ranlib
RDYNAMIC_FLAG = -rdynamic
RESOLV_LIBS = -lresolv
RPM_RELEASE = 0
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
SONAME_DEFINES =  -DSSL_LIB=\"libssl.so.1.0.0\" -DCRYPTO_LIB=\"libcrypto.so.1.0.0\"
SPHINX_BUILD = sphinx-build
STRIP = strip
VERSION = 10.2.8
WARN_ERROR_FORMAT_SECURITY = -Werror=format-security
WARN_IGNORED_QUALIFIERS = -Wignored-qualifiers
WARN_TYPE_LIMITS = -Wtype-limits
XIO_LIBS = 
YASM_CHECK = yes
abs_builddir = /home/jenkins-build/build/workspace/ceph-setup/doc
abs_srcdir = /home/jenkins-build/build/workspace/ceph-setup/doc
abs_top_builddir = /home/jenkins-build/build/workspace/ceph-setup
abs_top_srcdir = /home/jenkins-build/build/workspace/ceph-setup
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
acx_pthread_config = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=posix -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/jenkins-build/build/workspace/ceph-setup/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpyexecdir = ${pyexecdir}/ceph
pkgpythondir = ${pythondir}/ceph
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
pyexecdir = ${exec_prefix}/lib/python2.7/dist-packages
pythondir = ${prefix}/lib/python2.7/dist-packages
runstatedir = ${localstatedir}/run
sbindir = /sbin
sharedstatedir = ${prefix}/com
srcdir = .
subdirs =  src/gmock
sysconfdir = /etc
systemd_unit_dir = /lib/systemd/system
target = x86_64-pc-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = \
	man \
	api \
	architecture.rst \
	cephfs \
	conf.py \
	dev \
	favicon.ico \
	glossary.rst /

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign doc/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)

=== src/cls/CMakeLists.txt ===
## Rados object classes

# cls_hello
add_library(cls_hello SHARED hello/cls_hello.cc)
set_target_properties(cls_hello PROPERTIES VERSION "1.0.0" SOVERSION "1")
install(TARGETS cls_hello DESTINATION lib/rados-classes)

# cls_rbd
if (WITH_RBD)
  add_library(cls_rbd SHARED rbd/cls_rbd.cc rbd/cls_rbd_types.cc)
  set_target_properties(cls_rbd PROPERTIES VERSION "1.0.0" SOVERSION "1")
  install(TARGETS cls_rbd DESTINATION lib/rados-classes)

  add_library(cls_rbd_client rbd/cls_rbd_client.cc rbd/cls_rbd_types.cc)
endif (WITH_RBD)

# cls_lock
add_library(cls_lock SHARED lock/cls_lock.cc)
set_target_properties(cls_lock PROPERTIES VERSION "1.0.0" SOVERSION "1")
install(TARGETS cls_lock DESTINATION lib/rados-classes)

add_library(cls_lock_client
  lock/cls_lock_client.cc
  lock/cls_lock_types.cc
  lock/cls_lock_ops.cc)

# cls_refcount
add_library(cls_refcount SHARED
  refcount/cls_refcount.cc
  refcount/cls_refcount_ops.cc
  ${CMAKE_SOURCE_DIR}/src/common/ceph_json.cc)
target_link_libraries(cls_refcount json_spirit)
set_target_properties(cls_refcount PROPERTIES VERSION "1.0.0" SOVERSION "1")
install(TARGETS cls_refcount DESTINATION lib/rados-classes)

add_library(cls_refcount_client
  refcount/cls_refcount_client.cc
  refcount/cls_refcount_ops.cc)

# cls_version
add_library(cls_version SHARED version/cls_version.cc)
set_target_properties(cls_version PROPERTIES VERSION "1.0.0" SOVERSION "1")
install(TARGETS cls_version DESTINATION lib/rados-classes)

add_library(cls_version_client
  version/cls_version_client.cc
  version/cls_version_types.cc)

# cls_log
add_library(cls_log SHARED log/cls_log.cc)
set_target_properties(cls_log PROPERTIES VERSION "1.0.0" SOVERSION "1")
install(TARGETS cls_log DESTINATION lib/rados-classes)

add_library(cls_log_client log/cls_log_client.cc)

# cls_statelog
add_library(cls_statelog SHARED statelog/cls_statelog.cc)
set_target_properties(cls_statelog PROPERTIES VERSION "1.0.0" SOVERSION "1")
install(TARGETS cls_statelog DESTINATION lib/rados-classes)

add_library(cls_statelog_client statelog/cls_statelog_client.cc)

# cls_timeindex
add_library(cls_timeindex SHARED timeindex/cls_timeindex.cc)
set_target_properties(cls_timeindex PROPERTIES VERSION "1.0.0" SOVERSION "1")
install(TARGETS cls_timeindex DESTINATION lib/rados-classes)

add_library(cls_timeindex_client timeindex/cls_timeindex_client.cc)

# cls_replica_log
add_library(cls_replica_log SHARED replica_log/cls_replica_log.cc)
set_target_properties(cls_replica_log PROPERTIES VERSION "1.0.0" SOVERSION "1")
install(TARGETS cls_replica_log DESTINATION lib/rados-classes)

add_library(cls_replica_log_client
  replica_log/cls_replica_log_types.cc
  replica_log/cls_replica_log_ops.cc
  replica_log/cls_replica_log_client.cc)

# cls_user
add_library(cls_user SHARED user/cls_user.cc)
set_target_properties(cls_user PROPERTIES VERSION "1.0.0" SOVERSION "1")
install(TARGETS cls_user DESTINATION lib/rados-classes)

add_library(cls_user_client
  user/cls_user_client.cc
  user/cls_user_types.cc
  user/cls_user_ops.cc)

# cls_journal
add_library(cls_journal SHARED
  journal/cls_journal.cc
  journal/cls_journal_types.cc)
set_target_properties(cls_journal PROPERTIES VERSION "1.0.0" SOVERSION "1")
install(TARGETS cls_journal DESTINATION lib/rados-classes)

add_library(cls_journal_client
  journal/cls_journal_client.cc
  journal/cls_journal_types.cc)

# cls_rgw
if (WITH_RADOSGW)
  add_library(cls_rgw SHARED
    rgw/cls_rgw.cc
    rgw/cls_rgw_ops.cc
    rgw/cls_rgw_types.cc
    ${CMAKE_SOURCE_DIR}/src/common/ceph_json.cc)
  target_link_libraries(cls_rgw json_spirit)
  set_target_properties(cls_rgw PROPERTIES VERSION "1.0.0" SOVERSION "1")
  install(TARGETS cls_rgw DESTINATION lib/rados-classes)

  add_library(cls_rgw_client
    rgw/cls_rgw_client.cc
    rgw/cls_rgw_types.cc
    rgw/cls_rgw_ops.cc)
endif (WITH_RADOSGW)

# cls_cephfs
if (WITH_CEPHFS)
  add_library(cls_cephfs SHARED
    cephfs/cls_cephfs.cc)
  set_target_properties(cls_cephfs PROPERTIES VERSION "1.0.0" SOVERSION "1")
  install(TARGETS cls_cephfs DESTINATION lib/rados-classes)

  add_library(cls_cephfs_client
    cephfs/cls_cephfs_client.cc)
endif (WITH_CEPHFS)

add_library(cls_numops_client STATIC numops/cls_numops_client.cc)

=== src/json_spirit/CMakeLists.txt ===
add_library(json_spirit
  json_spirit_reader.cpp
  json_spirit_writer.cpp)
target_link_libraries(json_spirit ${Boost_LIBRARIES})

=== src/test/compressor/CMakeLists.txt ===
add_library(ceph_example SHARED
  compressor_plugin_example.cc
  ${CMAKE_SOURCE_DIR}/src/compressor/Compressor.cc
  )
target_link_libraries(ceph_example crush pthread ${EXTRA_LIBS})

# unittest_compression_plugin
add_executable(unittest_compression_plugin EXCLUDE_FROM_ALL
  test_compression_plugin.cc
  ${CMAKE_SOURCE_DIR}/src/compressor/Compressor.cc
  )
add_ceph_unittest(unittest_compression_plugin ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/unittest_compression_plugin)
target_link_libraries(unittest_compression_plugin 
  osd
  common 
  global 
  dl 
  )

# unittest_compression_snappy
add_executable(unittest_compression_snappy EXCLUDE_FROM_ALL
  test_compression_snappy.cc
  ${snappy_sources}
  )
add_ceph_unittest(unittest_compression_snappy ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/unittest_compression_snappy)
target_link_libraries(unittest_compression_snappy 
  osd
  common 
  global 
  dl 
  snappy
  )

# unittest_compression_plugin_snappy
add_executable(unittest_compression_plugin_snappy EXCLUDE_FROM_ALL
  test_compression_plugin_snappy.cc
  ${snappy_sources}
  )
add_ceph_unittest(unittest_compression_plugin_snappy ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/unittest_compression_plugin_snappy)
target_link_libraries(unittest_compression_plugin_snappy 
  osd
  common 
  global 
  compressor
  dl 
  snappy
  )

# unittest_compression_zlib
add_executable(unittest_compression_zlib EXCLUDE_FROM_ALL
  test_compression_zlib.cc
  ${CMAKE_SOURCE_DIR}/src/compressor/zlib/CompressionZlib.cc
  )
add_ceph_unittest(unittest_compression_zlib ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/unittest_compression_zlib)
target_link_libraries(unittest_compression_zlib 
  z
  osd
  common 
  global 
  )

# unittest_compression_plugin_zlib
add_executable(unittest_compression_plugin_zlib EXCLUDE_FROM_ALL
  test_compression_plugin_zlib.cc
  ${zlib_sources}
  )
add_ceph_unittest(unittest_compression_plugin_zlib ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/unittest_compression_plugin_zlib)
target_link_libraries(unittest_compression_plugin_zlib 
  osd
  common 
  global 
  compressor
  dl 
  z
  )

=== src/test/os/CMakeLists.txt ===
# unittest_lfnindex
add_executable(unittest_lfnindex EXCLUDE_FROM_ALL
  TestLFNIndex.cc
  )
add_ceph_unittest(unittest_lfnindex ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/unittest_lfnindex)
target_link_libraries(unittest_lfnindex os global)

## ceph 10.2.9

=== debian/changelog ===
ceph (10.2.9-0ubuntu0.17.04.1) zesty; urgency=medium

  * New upstream point release (LP: #1706566).
    - d/p/sleep-recover.patch: Dropped, superceeded by upstream fixes.

 -- James Page <james.page@ubuntu.com>  Tue, 26 Sep 2017 07:36:22 +0100

ceph (10.2.7-0ubuntu0.17.04.1) zesty; urgency=medium

  * New upstream point release (LP: #1684527):
    - d/p/disable-openssl-linking.patch: Dropped, no longer required.
    - d/control: Add BD on libssl-dev to support optional runtime
      loading of openssl in the radosgw.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 09:20:08 +0100

=== debian/control ===
Source: ceph
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ceph Maintainers <ceph-maintainers@lists.ceph.com>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
           James Page <jamespage@debian.org>
Homepage: http://ceph.com/
Vcs-Git: git://anonscm.debian.org/pkg-ceph/ceph.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ceph/ceph.git
Build-Depends: cython,
               debhelper (>= 9~),
               default-jdk,
               dh-autoreconf,
               dh-python,
               dh-systemd (>= 1.5),
               dpkg-dev (>= 1.16.1~),
               javahelper,
               junit4,
               libaio-dev,
               libatomic-ops-dev,
               libbabeltrace-ctf-dev,
               libbabeltrace-dev,
               libblkid-dev,
               libboost-dev (>= 1.42),
               libboost-iostreams-dev (>= 1.42),
               libboost-program-options-dev (>= 1.42),
               libboost-random-dev,
               libboost-regex-dev,
               libboost-system-dev (>= 1.42),
               libboost-thread-dev (>= 1.42),
               libbz2-dev,
               libcurl4-gnutls-dev,
               libedit-dev,
               libexpat1-dev,
               libfcgi-dev,
               libfuse-dev,
               libgoogle-perftools-dev [i386 amd64 powerpc armhf arm64 ppc64el],
               libkeyutils-dev,
               libldap2-dev,
               libleveldb-dev,
               libnss3-dev,
               libsnappy-dev,
               libssl-dev,
               libtool,
               libudev-dev,
               libxml2-dev,
               lsb-release,
               pkg-config,
               python-all (>= 2.6.6-3~),
               python-dev,
               python-nose,
               python-setuptools,
               python-sphinx,
               uuid-dev,
               uuid-runtime,
               valgrind [amd64 armhf i386 powerpc],
               xfslibs-dev,
               xfsprogs,
               yasm [amd64],
               zlib1g-dev
Build-Conflicts: libcrypto++-dev
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
XS-Testsuite: autopkgtest

Package: ceph
Architecture: linux-any
Depends: ceph-mon (= ${binary:Version}),
         ceph-osd (= ${binary:Version}),
         ${misc:Depends}
Suggests: ceph-mds (= ${binary:Version})
Description: distributed storage and file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.

Package: ceph-base
Architecture: linux-any
Depends: binutils,
         ceph-common (= ${binary:Version}),
         cryptsetup-bin | cryptsetup,
         gdisk,
         hdparm | sdparm,
         parted,
         uuid-runtime,
         xfsprogs,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: ceph (<< 10.2.2-0ubuntu2~),
        ceph-common (<< 9.2.0-0ubuntu1~),
        ceph-test (<< 9.2.0-0ubuntu1~),
        python-ceph (<< 0.94.1-1~)
Replaces: ceph (<< 10.2.2-0ubuntu2~),
          ceph-common (<< 9.2.0-0ubuntu1~),
          ceph-test (<< 9.2.0-0ubuntu1~),
          python-ceph (<< 0.94.1-1~)
Recommends: libcephfs1,
            librados2,
            libradosstriper1,
            librbd1,
            ntp | time-daemon | chrony
Suggests: logrotate
Description: common ceph daemon libraries and management tools
 Ceph is a distributed storage system designed to provide excellent
 performance, reliability, and scalability.
 .
 This package contains the libraries and management tools that are common among
 the three Ceph server daemons (ceph-mon, ceph-osd, ceph-mds). These tools are
 necessary for creating, running, and administering a Ceph storage cluster.

Package: rbd-mirror
Architecture: linux-any
Depends: ceph-common (= ${binary:Version}),
         librados2 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Ceph daemon for mirroring RBD images
 Ceph is a distributed storage system designed to provide excellent
 performance, reliability, and scalability.
 .
 This package provides a daemon for mirroring RBD images between
 Ceph clusters, streaming changes asynchronously.

Package: rbd-nbd
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: NBD-based rbd client for the Ceph distributed file system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.  This is a
 NBD-based client that allows one to map Ceph rbd images as local
 block device.
 .
 NBD base client that allows one to map Ceph rbd images as local
 block device.

Package: ceph-common
Architecture: linux-any
Depends: librbd1 (= ${binary:Version}),
         python-cephfs (= ${binary:Version}),
         python-rados (= ${binary:Version}),
         python-rbd (= ${binary:Version}),
         python-requests,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Conflicts: ceph-client-tools
Breaks: ceph (<< 9.2.0-0ubuntu1~),
        ceph-test (<< 9.2.0-0ubuntu1~),
        librbd1 (<< 0.94.1-1~),
        python-ceph (<< 0.94.1-1~)
Replaces: ceph (<< 9.2.0-0ubuntu1~),
          ceph-client-tools,
          ceph-test (<< 9.2.0-0ubuntu1~),
          librbd1 (<< 0.94.1-1~),
          python-ceph (<< 0.94.1-1~)
Suggests: ceph, ceph-mds
Description: common utilities to mount and interact with a ceph storage cluster
 Ceph is a distributed storage and file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools that allow one to interact with and administer a Ceph cluster.

Package: ceph-mds
Architecture: linux-any
Depends: ceph, ${misc:Depends}, ${shlibs:Depends}
Recommends: ceph-fs-common, ceph-fuse, libcephfs1
Breaks: ceph (<< 0.67.3-1)
Replaces: ceph (<< 0.67.3-1)
Description: metadata server for the ceph distributed file system
 Ceph is a distributed storage and network file system designed to
 provide excellent performance, reliability, and scalability.
 .
 This package contains the metadata server daemon, which is used to
 create a distributed file system on top of the ceph storage cluster.

Package: ceph-mon
Architecture: linux-any
Depends: ceph-base (= ${binary:Version}),
         python-flask,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: ceph (<< 10.2.2-0ubuntu2~)
Breaks: ceph (<< 10.2.2-0ubuntu2~)
Description: monitor server for the ceph storage system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the cluster monitor daemon for the Ceph storage
 system. One or more instances of ceph-mon form a Paxos part-time parliament
 cluster that provides extremely reliable and durable storage of cluster
 membership, configuration, and state.

Package: ceph-osd
Architecture: linux-any
Depends: ceph-base (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ceph-common (= ${binary:Version})
Replaces: ceph (<< 10.2.2-0ubuntu2~)
Breaks: ceph (<< 10.2.2-0ubuntu2~)
Description: OSD server for the ceph storage system
 Ceph is a massively scalable, open-source, distributed
 storage system that runs on commodity hardware and delivers object,
 block and file system storage.
 .
 This package contains the Object Storage Daemon for the Ceph storage system.
 It is responsible for storing objects on a local file system
 and providing access to them over the network.

Package: ceph-fuse
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse
Description: FUSE-based client for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 Because the FUSE-based client has certain inherent performance
 limitations, it is recommended that the native Linux kernel client
 be used if possible.  If it is not practical to load a kernel module
 (insufficient privileges, older kernel, etc.), then the FUSE client will
 do.

Package: rbd-fuse
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: fuse
Description: FUSE-based rbd client for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to map Ceph rbd images as files.

Package: ceph-fs-common
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ceph-common (<< 0.67.3-1)
Conflicts: ceph-client-tools
Replaces: ceph-client-tools, ceph-common (<< 0.67.3-1)
Suggests: ceph-mds
Description: common utilities to mount and interact with a ceph file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 Ceph file system with the kernel client.

Package: ceph-resource-agents
Architecture: all
Priority: extra
Recommends: pacemaker
Depends: ceph (>= ${binary:Version}), resource-agents, ${misc:Depends}
Description: OCF-compliant resource agents for Ceph
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the resource agents (RAs) which integrate
 Ceph with OCF-compliant cluster resource managers,
 such as Pacemaker.

Package: librados2
Architecture: linux-any
Section: libs
Conflicts: librados, librados1
Replaces: librados, librados1
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: RADOS distributed object store client library
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.

Package: librados-dev
Architecture: linux-any
Section: libdevel
Depends: librados2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: librados1-dev, librados2-dev
Replaces: librados1-dev, librados2-dev
Description: RADOS distributed object store client library (development files)
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains development files needed for building applications that
 link against librados2.

Package: libradosstriper1
Architecture: linux-any
Section: libs
Depends: librados2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: RADOS striping interface
 Striping interface built on top of the rados library, allowing
 to stripe bigger objects onto several standard rados objects using
 an interface very similar to the rados one.

Package: libradosstriper-dev
Architecture: linux-any
Section: libdevel
Depends: libradosstriper1 (= ${binary:Version}), ${misc:Depends}
Description: RADOS striping interface (development files)
 libradosstriper is a striping interface built on top of the rados
 library, allowing to stripe bigger objects onto several standard
 rados objects using an interface very similar to the rados one.
 .
 This package contains development files needed for building applications that
 link against libradosstriper.

Package: librbd1
Architecture: linux-any
Section: libs
Depends: librados2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
